#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### check for gcc visibility support #########
# FIXME
# This should check for [T]Qt3 visibility support

if( WITH_GCC_VISIBILITY )
  if( NOT UNIX )
    tde_message_fatal(FATAL_ERROR "\ngcc visibility support was requested, but your system is not *NIX" )
  endif( NOT UNIX )
  set( __KDE_HAVE_GCC_VISIBILITY 1 )
  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
endif( )


# libxml-2.0
if( BUILD_QUANTA )
  pkg_search_module( LIBXML libxml-2.0 )
  if( LIBXML_FOUND )
    if( ${LIBXML_VERSION} VERSION_LESS "2.6" )
      tde_message_fatal( "libxml-2.0 version must be at least 2.6" )
    endif( )
  else( )
    tde_message_fatal( "libxml-2.0 are required, but not found on your system" )
  endif( )
endif( )


# libxslt
if( BUILD_QUANTA )
  pkg_search_module( LIBXSLT libxslt )
  if( NOT LIBXSLT_FOUND )
    tde_message_fatal( "libxslt are required, but not found on your system" )
  endif( )
endif( )


# required stuff
find_package( Qt )
find_package( TQt )
find_package( TDE )
